CC = iccavr
CFLAGS =  -IC:\icc\include\ -I../include/ -e -DATMEGA  -l -g -Mavr_enhanced -Wf-str_in_flash -Wf-r20_23 
ASFLAGS = $(CFLAGS)  -Wa-g
LFLAGS =  -LC:\icc\lib\ -g -ucrtatmega.o -bfunc_lit:0x8c.0x20000 -dram_end:0x10ff -bdata:0x100.0x10ff -dhwstk_size:16 -beeprom:1.4096 -fihx_coff -S2
FILES = mcp2515.o main.o timer.o spi.o 

mcp2515:	$(FILES)
	$(CC) -o mcp2515 $(LFLAGS) @mcp2515.lk   -lcatmegagr
mcp2515.o: ../include/hw.h C:/icc/include/iom128v.h ../include/mcp2515.h ../include/types.h ../include/spi.h ../include/types.h ../include/timer.h ../include/hw.h ../include/types.h
mcp2515.o:	C:\icc\examples.avr\MCP2515\source\mcp2515.c
	$(CC) -c $(CFLAGS) C:\icc\examples.avr\MCP2515\source\mcp2515.c
main.o: ../include/baugrid.h ../include/hw.h C:/icc/include/iom128v.h ../include/mcp2515.h ../include/types.h ../include/spi.h
main.o:	C:\icc\examples.avr\MCP2515\source\main.c
	$(CC) -c $(CFLAGS) C:\icc\examples.avr\MCP2515\source\main.c
timer.o: ../include/timer.h ../include/hw.h C:/icc/include/iom128v.h ../include/types.h ../include/mega128board.h ../include/types.h
timer.o:	C:\icc\examples.avr\MCP2515\source\timer.c
	$(CC) -c $(CFLAGS) C:\icc\examples.avr\MCP2515\source\timer.c
spi.o: ../include/hw.h C:/icc/include/iom128v.h ../include/spi.h
spi.o:	C:\icc\examples.avr\MCP2515\source\spi.c
	$(CC) -c $(CFLAGS) C:\icc\examples.avr\MCP2515\source\spi.c
