/******************************************************************************
*                              Steffen Hofmann                                *
*                                 Hamburg                                     *
*                               mc_sho@gmx.de                                 *
*******************************************************************************
*  $Source: $
*-----------------------------------------------------------------------------*
*  Datum der 1. Version  :  08.07.2003
*  Geraete Bezeichnung   :  MEGA-128-BOARD
*-----------------------------------------------------------------------------*
*- $Id: $
*-----------------------------------------------------------------------------*
*
*       Source
*       ----------
*       timer.c
*       V1.00
******************************************************************************/

#include "timer.h"
#include "mega128board.h"
#include "types.h"

void wait_ms( WORD ms )
{
  WORD x;  
    
    SBI( TIFR, TOV0 );
    
    TCCR0 = F_TCCR0_Set_ms;
    TCNT0 = 0x00;
    
    for( x = 0; x < ms; x++ )
    {
	      TCNT0 = T_Reload_Set_ms;
	      while (!(TIFR & (1<<TOV0)));
	      SBI( TIFR, TOV0 );
	   }   
	   SBI( TIFR, TOV0 );
	   TCCR0 = 0x00;
}