	.module main.c
	.area text(rom, con, rel)
	.dbfile C:\icc\examples.avr\MCP2515\source\main.c
	.dbfunc e initport _initport fV
	.even
_initport::
	.dbline -1
	.dbline 35
; /******************************************************************************
; *                              Steffen Hofmann                                *
; *                                 Hamburg                                     *
; *                               mc_sho@gmx.de                                 *
; *******************************************************************************
; *  $Source: $
; *-----------------------------------------------------------------------------*
; *  Datum der 1. Version  :  08.07.2003
; *  Geraete Bezeichnung   :  MEGA-128-BOARD
; *-----------------------------------------------------------------------------*
; *- $Id: $
; *-----------------------------------------------------------------------------*
; *
; *       Source
; *       ----------
; *       main.c
; *       V1.00
; ******************************************************************************/
; 
; #include "baugrid.h"
; #include "hw.h"
; #include "mcp2515.h"
; #include "spi.h"
; 
; #define CAN_MODUL     MODUL_FMUSTER
; 
; #define CAN_ADR_TEMP  ( DWORD)((CAN_MODUL << 24 ) | ( TEMPERATUR1_ID << 16 ))
; #define CAN_ADR_LCD   ( DWORD)((CAN_MODUL << 24 ) | ( LCD_ID << 16 ))
; 
; #define MAX_CAN_DATA 8
; 
; BYTE can_array[MAX_CAN_DATA];
; 
; void initport( void )
; {
	.dbline -2
L3:
	.dbline 0 ; func end
	ret
	.dbend
	.dbfunc e main _main fV
;            dlc -> y+11
;          extID -> y+10
;          canID -> y+6
;         Status -> R12
	.even
_main::
	sbiw R28,12
	.dbline -1
	.dbline 40
;            
; }
; 
; void main( void )
; {
	.dbline 46
;     BYTE Status;    
;     DWORD canID;
;     BYTE  extID;
;     BYTE dlc;
;         
;         initport();
	xcall _initport
	.dbline 47
;         SpiInit( SPI_MCP_WR );
	ldi R16,80
	xcall _SpiInit
	.dbline 50
;         
;         //- Init CAN-Controller
;         CAN_Init (0,SPEED_500_CNF1,SPEED_500_CNF2,SPEED_500_CNF3);
	ldi R24,5
	std y+4,R24
	ldi R24,184
	std y+2,R24
	clr R2
	std y+0,R2
	ldi R16,0
	ldi R17,0
	ldi R18,0
	ldi R19,0
	xcall _CAN_Init
	xjmp L6
L5:
	.dbline 56
;         //- Transmit CAN-Message
;         //CAN_Tx0 ( CAN_ADR_TEMP, CAN_EXT_ID, MAX_CAN_DATA, can_array);
;         
;         
;         while(1)
;         {
	.dbline 57
;              Status = CAN_Chk();
	xcall _CAN_Chk
	mov R12,R16
	.dbline 59
;              
;              switch( Status )
	mov R10,R12
	clr R11
	movw R24,R10
	cpi R24,1
	ldi R30,0
	cpc R25,R30
	breq L11
	cpi R24,2
	ldi R30,0
	cpc R25,R30
	breq L12
	xjmp L9
X0:
	.dbline 60
;              {
L11:
	.dbline 63
;                 case CANINTF_RX0IF:  
;                            //- Echo Test
;                            CAN_Rx0( &canID, &extID, &dlc, can_array);
	ldi R24,<_can_array
	ldi R25,>_can_array
	std y+3,R25
	std y+2,R24
	movw R24,R28
	adiw R24,11
	std y+1,R25
	std y+0,R24
	movw R18,R28
	subi R18,246  ; offset = 10
	sbci R19,255
	movw R16,R28
	subi R16,250  ; offset = 6
	sbci R17,255
	xcall _CAN_Rx0
	.dbline 64
;                            CAN_ClearRX0();   
	xcall _CAN_ClearRX0
	.dbline 65
;                            CAN_Tx0 ( canID, extID, dlc, can_array);
	ldi R24,<_can_array
	ldi R25,>_can_array
	std y+5,R25
	std y+4,R24
	ldd R2,y+11
	std y+2,R2
	ldd R2,y+10
	std y+0,R2
	movw R30,R28
	ldd R16,z+6
	ldd R17,z+7
	ldd R18,z+8
	ldd R19,z+9
	xcall _CAN_Tx0
	.dbline 66
;                 break;
	xjmp L9
L12:
	.dbline 69
;                 case CANINTF_RX1IF:
;                            //- Echo Test
;                            CAN_Rx1( &canID, &extID, &dlc, can_array);
	ldi R24,<_can_array
	ldi R25,>_can_array
	std y+3,R25
	std y+2,R24
	movw R24,R28
	adiw R24,11
	std y+1,R25
	std y+0,R24
	movw R18,R28
	subi R18,246  ; offset = 10
	sbci R19,255
	movw R16,R28
	subi R16,250  ; offset = 6
	sbci R17,255
	xcall _CAN_Rx1
	.dbline 70
;                            CAN_ClearRX1();
	xcall _CAN_ClearRX1
	.dbline 71
;                            CAN_Tx1 ( canID, extID, dlc, can_array);
	ldi R24,<_can_array
	ldi R25,>_can_array
	std y+5,R25
	std y+4,R24
	ldd R2,y+11
	std y+2,R2
	ldd R2,y+10
	std y+0,R2
	movw R30,R28
	ldd R16,z+6
	ldd R17,z+7
	ldd R18,z+8
	ldd R19,z+9
	xcall _CAN_Tx1
	.dbline 72
;                 break;
	.dbline 74
;                 default:  // for error  
;                 break;             
L9:
	.dbline 76
L6:
	.dbline 55
	xjmp L5
X1:
	.dbline -2
L4:
	adiw R28,12
	.dbline 0 ; func end
	ret
	.dbsym l dlc 11 c
	.dbsym l extID 10 c
	.dbsym l canID 6 l
	.dbsym r Status 12 c
	.dbend
	.area bss(ram, con, rel)
	.dbfile C:\icc\examples.avr\MCP2515\source\main.c
_can_array::
	.blkb 8
	.dbsym e can_array _can_array A[8:8]c
