	.module timer.c
	.area text(rom, con, rel)
	.dbfile C:\icc\examples.avr\MCP2515\source\timer.c
	.dbfunc e wait_ms _wait_ms fV
;              x -> R10,R11
;             ms -> R16,R17
	.even
_wait_ms::
	xcall push_gset3x
	.dbline -1
	.dbline 25
; /******************************************************************************
; *                              Steffen Hofmann                                *
; *                                 Hamburg                                     *
; *                               mc_sho@gmx.de                                 *
; *******************************************************************************
; *  $Source: $
; *-----------------------------------------------------------------------------*
; *  Datum der 1. Version  :  08.07.2003
; *  Geraete Bezeichnung   :  MEGA-128-BOARD
; *-----------------------------------------------------------------------------*
; *- $Id: $
; *-----------------------------------------------------------------------------*
; *
; *       Source
; *       ----------
; *       timer.c
; *       V1.00
; ******************************************************************************/
; 
; #include "timer.h"
; #include "mega128board.h"
; #include "types.h"
; 
; void wait_ms( WORD ms )
; {
	.dbline 28
;   WORD x;  
;     
;     SBI( TIFR, TOV0 );
	in R24,0x36
	ori R24,1
	out 0x36,R24
	.dbline 30
;     
;     TCCR0 = F_TCCR0_Set_ms;
	ldi R24,3
	out 0x33,R24
	.dbline 31
;     TCNT0 = 0x00;
	clr R2
	out 0x32,R2
	.dbline 33
;     
;     for( x = 0; x < ms; x++ )
	clr R10
	clr R11
	xjmp L6
L3:
	.dbline 34
;     {
	.dbline 35
; 	      TCNT0 = T_Reload_Set_ms;
	ldi R24,131
	out 0x32,R24
L7:
	.dbline 36
L8:
	.dbline 36
	in R2,0x36
	sbrs R2,0
	rjmp L7
	.dbline 37
	in R24,0x36
	ori R24,1
	out 0x36,R24
	.dbline 38
L4:
	.dbline 33
	movw R24,R10
	adiw R24,1
	movw R10,R24
L6:
	.dbline 33
	cp R10,R16
	cpc R11,R17
	brlo L3
	.dbline 39
; 	      while (!(TIFR & (1<<TOV0)));
; 	      SBI( TIFR, TOV0 );
; 	   }   
; 	   SBI( TIFR, TOV0 );
	in R24,0x36
	ori R24,1
	out 0x36,R24
	.dbline 40
; 	   TCCR0 = 0x00;
	clr R2
	out 0x33,R2
	.dbline -2
L2:
	xcall pop_gset3x
	.dbline 0 ; func end
	ret
	.dbsym r x 10 s
	.dbsym r ms 16 s
	.dbend
